Subject: bug#58332: 29.0.50; Crash on more fonts by family

From: Po Lu <[email-masked]>
Date: Fri, 07 Oct 2022 18:38:11 +0800

Jean Louis <[email-masked]> writes:

> in Lucid toolkit, I choose Options, Set Default Font, More Fonts, By
> Family and Emacs crashes, I get this:
> $ gdb --args emacs -Q
> GNU gdb (GDB) 12.1
> Copyright (C) 2022 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> Type "show copying" and "show warranty" for details.
> This GDB was configured as "x86_64-pc-linux-gnu".
> Type "show configuration" for configuration details.
> For bug reporting instructions, please see:
> <https://www.gnu.org/software/gdb/bugs/>.
> Find the GDB manual and other documentation resources online at:
>     <http://www.gnu.org/software/gdb/documentation/>.
>
> For help, type "help".
> Type "apropos word" to search for commands related to "word"...
> Reading symbols from emacs...
> (gdb) run
> Starting program: /home/data1/protected/bin/emacs -Q
> [Thread debugging using libthread_db enabled]
> Using host libthread_db library "/usr/lib/libthread_db.so.1".
> [New Thread 0x7ffff1be06c0 (LWP 4914)]
> [New Thread 0x7ffff13df6c0 (LWP 4915)]
> [Detaching after fork from child process 4916]
> [New Thread 0x7ffff0bde6c0 (LWP 4917)]
> X protocol error: BadAlloc (insufficient resources for operation) on protocol request 53
> Serial no: 11069

That is because you have too many fonts installed, and the X
server/library ran out of available memory/resource IDs trying to create
pixmanp to back all the panes and menus.

That is not a problem that can be easily fixed, at least without
developing some kind of lazy menu window creation mechanism.

It would be nice to not crash, though, instead just refusing to display
the window.  I will look into that.